%global plugin_name blueocean-rest-impl

Summary:    REST Implementation for Blue Ocean
Name:       jenkins-plugin-%{plugin_name}
Version:    1.0.1
Release:    1%{?dist}
License:    MIT
URL:        https://plugins.jenkins.io/blueocean-rest-impl
# AltURL:   https://github.com/jenkinsci/blueocean-plugin
Source0:    https://updates.jenkins-ci.org/download/plugins/%{plugin_name}/%{version}/%{plugin_name}.hpi
Requires:   jenkins >= 2.7.1
Requires:   jenkins-plugin-favorite
Requires:   jenkins-plugin-scm-api
Requires:   jenkins-plugin-mailer
Requires:   jenkins-plugin-junit
Requires:   jenkins-plugin-credentials
Requires:   jenkins-plugin-cloudbees-folder
Requires:   jenkins-plugin-blueocean-rest
Requires:   jenkins-plugin-blueocean-jwt

%description
Blue Ocean is the next generation user experience for Jenkins.

It is a multi-module maven project made up of a few Jenkins plugins. 
There is an aggregator plugin in the "blueocean" module.

%prep


%build


%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/%{_libdir}/jenkins/
cp %{SOURCE0} $RPM_BUILD_ROOT/%{_libdir}/jenkins/


%files
%{_libdir}/jenkins/%{plugin_name}.hpi

%changelog
* Fri Apr 28 2017 Troy Dawson <tdawson@redhat.com> - 1.0.1-1
- Update to 1.0.1

